import * as AWS from 'aws-sdk';
import { ILogger } from '../logger';
import { BaseHelper } from './base';
/**
 * CloudWatch Helper
 */
export declare class CloudWatchHelper extends BaseHelper {
    /**
     * AWS Repository for CloudWatch
     */
    private Repository;
    /**
     * Initializes new instance of CloudWatchHelper
     * @param logger {ILogger} Injected logger
     * @param repository {AWS.CloudWatch} Injected Repository. A new repository will be created if not supplied
     * @param options {AWS.CloudWatch.ClientConfiguration} Injected configuration if a Repository is supplied
     */
    constructor(logger: ILogger, repository?: AWS.CloudWatch, options?: AWS.CloudWatch.ClientConfiguration);
    /**
     * Put data to a metric
     * @param namespace {string} Custom namespace to put data to
     * @param metricData {AWS.CloudWatch.MetricDatum[]} Metric data to put
     */
    PutMetricDataAsync(namespace: string, metricData: AWS.CloudWatch.MetricDatum[]): Promise<object>;
}
