"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_mock_1 = require("./base-mock");
// tslint:disable-next-line: no-var-requires
const AWS = require('aws-sdk');
/**
 * CloudWatch Mock class
 */
class CloudWatchMock extends base_mock_1.BaseMock {
    constructor() {
        super(...arguments);
        /**
         * Mocks an AWS.CloudWatch.PutMetricDataResponse response
         * Technically doesn't exist
         */
        this.PutMetricDataResponse = {};
    }
    /**
     * Create the CloudWatch mock
     */
    CreateMock(returnError) {
        const rejectResponse = new Error(`AWS Error`);
        // implement the AWS responses
        const awsResponses = {
            // put metric data response
            putMetricData: {
                promise: jest.fn().mockImplementation(() => {
                    return returnError ?
                        Promise.reject(rejectResponse) :
                        Promise.resolve(this.PutMetricDataResponse);
                }),
            },
        };
        // create the functions
        let functions = new AWS.CloudWatch();
        functions = {
            putMetricData: () => awsResponses.putMetricData,
        };
        return functions;
    }
}
exports.CloudWatchMock = CloudWatchMock;
//# sourceMappingURL=cloudwatch-mock.js.map