"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_mock_1 = require("./base-mock");
// tslint:disable-next-line: no-var-requires
const AWS = require('aws-sdk');
/**
 * STS Mock class
 */
class STSMock extends base_mock_1.BaseMock {
    constructor() {
        super(...arguments);
        /**
         * Mocks an AWS.STS.AssumeRoleResponse response
         */
        this.AssumeRoleResponse = {};
    }
    /**
     * Create the STS mock
     */
    CreateMock(returnError) {
        const rejectResponse = new Error(`AWS Error`);
        // implement the AWS responses
        const awsResponses = {
            // assume role response
            assumeRole: {
                promise: jest.fn().mockImplementation(() => {
                    return returnError ?
                        Promise.reject(rejectResponse) :
                        Promise.resolve(this.AssumeRoleResponse);
                }),
            },
        };
        // create the functions
        let functions = new AWS.STS();
        functions = {
            assumeRole: () => awsResponses.assumeRole,
        };
        return functions;
    }
}
exports.STSMock = STSMock;
//# sourceMappingURL=sts-mock.js.map