"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("../helpers");
const logger_1 = require("../logger");
const mocks_1 = require("../mocks");
const test_values_1 = require("./test-values");
const logger = new logger_1.Logger(logger_1.LogLevel.Off);
const mockerResolves = new mocks_1.STSMock(false);
const stsHelperMockResolves = new helpers_1.STSHelper(logger, mockerResolves.Mock);
const mockerRejects = new mocks_1.STSMock(true);
const stsHelperMockRejects = new helpers_1.STSHelper(logger, mockerRejects.Mock);
const TestValues = new test_values_1.TestValuesClass();
/**
 * Test the AssumeRoleAsync method
 */
describe(`${helpers_1.STSHelper.name}.${stsHelperMockResolves.AssumeRoleAsync.name}`, () => {
    // set action for this method
    const action = `${helpers_1.STSHelper.name}.${stsHelperMockResolves.AssumeRoleAsync.name}`;
    test(`${TestValues.ThrowsOnEmpty} roleArn`, () => {
        const actual = stsHelperMockResolves.AssumeRoleAsync(TestValues.EmptyString);
        return expect(actual).rejects.toThrow(`[${action}]-${TestValues.MustSupply} roleArn`);
    });
    test(TestValues.InvalidTest, () => {
        const actual = stsHelperMockRejects.AssumeRoleAsync(TestValues.Arn);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
    test(TestValues.ValidTest, () => {
        const actual = stsHelperMockResolves.AssumeRoleAsync(TestValues.Arn);
        return expect(actual).resolves.toEqual(mockerResolves.AssumeRoleResponse);
    });
});
//# sourceMappingURL=sts.spec.js.map